org.keycloak.adapters.jetty.core

## Class JettyRequestAuthenticator

- java.lang.Object
- - org.keycloak.adapters.RequestAuthenticator
  - - org.keycloak.adapters.jetty.core.JettyRequestAuthenticator

-     public class JettyRequestAuthenticator
      extends RequestAuthenticator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `log`
    `protected KeycloakPrincipal<RefreshableKeycloakSecurityContext>` | `principal`
    `protected org.eclipse.jetty.server.Request` | `request`

    - ### Fields inherited from class org.keycloak.adapters.RequestAuthenticator

      `challenge, deployment, facade, sslRedirectPort, tokenStore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyRequestAuthenticator(HttpFacade facade, KeycloakDeployment deployment, AdapterTokenStore tokenStore, int sslRedirectPort, org.eclipse.jetty.server.Request request)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `completeBearerAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal, String method)`
    `protected void` | `completeOAuthAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> skp)`
    `protected OAuthRequestAuthenticator` | `createOAuthAuthenticator()`
    `protected String` | `getHttpSessionId(boolean create)`

    - ### Methods inherited from class org.keycloak.adapters.RequestAuthenticator

      `authenticate, completeAuthentication, completeAuthentication, createBasicAuthAuthenticator, createBearerTokenAuthenticator, getChallenge, verifySSL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.jboss.logging.Logger log

    - #### request

          protected org.eclipse.jetty.server.Request request

    - #### principal

          protected KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal

  - ### Constructor Detail

    - #### JettyRequestAuthenticator

          public JettyRequestAuthenticator(HttpFacade facade,
                                   KeycloakDeployment deployment,
                                   AdapterTokenStore tokenStore,
                                   int sslRedirectPort,
                                   org.eclipse.jetty.server.Request request)

  - ### Method Detail

    - #### createOAuthAuthenticator

          protected OAuthRequestAuthenticator createOAuthAuthenticator()

      Specified by:
        `createOAuthAuthenticator` in class `RequestAuthenticator`

    - #### completeOAuthAuthentication

          protected void completeOAuthAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> skp)

      Specified by:
        `completeOAuthAuthentication` in class `RequestAuthenticator`

    - #### completeBearerAuthentication

          protected void completeBearerAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal,
                                          String method)

      Specified by:
        `completeBearerAuthentication` in class `RequestAuthenticator`

    - #### getHttpSessionId

          protected String getHttpSessionId(boolean create)

      Specified by:
        `getHttpSessionId` in class `RequestAuthenticator`

Copyright © 2015. All rights reserved.